#include <iostream>
#include <cmath>
using namespace std;

int main()
{
    int n,x;
    cin>>n>>x;
    int niz[n];
    for(int i=0;i<n;++i){
        cin>>niz[i];
    }
    int mini=niz[0],maxi=niz[0];
    for(int i=1;i<n;++i){
        if(niz[i]>maxi)
            maxi=niz[i];
        if(niz[i]<mini)
            mini=niz[i];
    }
    if(maxi>x && mini>x)
        cout<<abs(maxi-x);
    else if(mini<x && maxi<x)
        cout<<abs(mini-x);
    else
        cout<<abs(mini-x)+abs(maxi-mini);
    return 0;
}